HepMC3 event record library: protobufUtils.cc File Reference

HepMC3 event record library

Namespaces | Functions
protobufUtils.cc File Reference

## Detailed Description

Implementationof utility functions for protobufIO.

Definition in file protobufUtils.cc.

`#include "HepMC3/protobufUtils.h"`
`#include "HepMC3/GenParticle.h"`
`#include "HepMC3/GenVertex.h"`
`#include "HepMC3/Data/GenEventData.h"`
`#include "HepMC3/Data/GenParticleData.h"`
`#include "HepMC3/Data/GenRunInfoData.h"`
`#include "HepMC3/Data/GenVertexData.h"`
`#include "HepMC3/Version.h"`
Include dependency graph for protobufUtils.cc:

Go to the source code of this file.

## Namespaces
namespace | HepMC3
| HepMC3 main namespace.

## Functions
template<typename T>
std::string | PBObjToString (T const &o)
std::string | GenRunInfo (GenRunInfo const &run_info)
std::string | GenEvent (GenEvent const &evt)
void | FillGenRunInfo (HepMC3_pb::GenRunInfoData const &gri_pb, std::shared_ptr< HepMC3::GenRunInfo > run_info)
bool | GenRunInfo (std::string const &, std::shared_ptr< HepMC3::GenRunInfo > run_info)
void | FillGenEvent (HepMC3_pb::GenEventData const &ged_pb, HepMC3::GenEvent &evt)
bool | GenEvent (std::string const &, HepMC3::GenEvent &evt)

## Function Documentation

## ◆ FillGenEvent()

void FillGenEvent | ( | HepMC3_pb::GenEventData const & | ged_pb,
|  | HepMC3::GenEvent & | evt )

Definition at line 206 of file protobufUtils.cc.

## ◆ FillGenRunInfo()

void FillGenRunInfo | ( | HepMC3_pb::GenRunInfoData const & | gri_pb,
|  | std::shared_ptr< HepMC3::GenRunInfo > | run_info )

Definition at line 150 of file protobufUtils.cc.

## ◆ GenEvent() [1/2]

bool GenEvent | ( | std::string const & | msg,
|  | HepMC3::GenEvent & | evt )

Definition at line 322 of file protobufUtils.cc.

## ◆ GenEvent() [2/2]

std::string GenEvent | ( | HepMC3::GenEvent const & | evt | ) |

Definition at line 58 of file protobufUtils.cc.

## ◆ GenRunInfo() [1/2]

bool GenRunInfo | ( | std::string const & | msg,
|  | std::shared_ptr< HepMC3::GenRunInfo > | run_info )

Definition at line 190 of file protobufUtils.cc.

## ◆ GenRunInfo() [2/2]

std::string GenRunInfo | ( | HepMC3::GenRunInfo const & | run_info | ) |

Definition at line 28 of file protobufUtils.cc.

## ◆ PBObjToString()

template<typename T>

std::string PBObjToString | ( | T const & | o | ) |

Definition at line 22 of file protobufUtils.cc.